# Komodo reStructuredText language service.

import logging
from koUDLLanguageBase import KoUDLLanguage


log = logging.getLogger("koreStructuredTextLanguage")
#log.setLevel(logging.DEBUG)


def registerLanguage(registry):
    log.debug("Registering language reStructuredText")
    registry.registerLanguage(KoreStructuredTextLanguage())


class KoreStructuredTextLanguage(KoUDLLanguage):
    name = "reStructuredText"
    lexresLangName = "reStructuredText"
    _reg_desc_ = "%s Language" % name
    _reg_contractid_ = "@activestate.com/koLanguage?language=%s;1" % name
    _reg_clsid_ = "{d98cc808-2981-4aa0-841b-e5e920d83177}"
    defaultExtension = '.rst'

    lang_from_udl_family = {'CSL': None, 'M': None}

